/* -
 * Copyright (c) 2002, Ramsey G. Brenner. <rgbrenner@myrealbox.com>
 * All rights reserved.
 *
 * The contents of this file are subject to the terms of the XORSuite
 * Public Source License (the "License"); You may not use this file except
 * in compliance with the License. You may obtain a copy of the License
 * at http://rgbrenner.cjb.net/projects/xpsl.html.
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 */

#define VERSION "2.2.2"

#ifdef XORFakeKey
# define POSTFIX "key"
#endif

#ifdef XOREncrypt
# define POSTFIX "dat"
#endif

#ifdef XORDecrypt
# define POSTFIX "dat"
#endif

/* Set variables which are the same in all programs */
#define set_general_variables()                      \
{                                                    \
    prog_name = argv[0];                             \
                                                     \
    /* Set default hash algo */                      \
    set_hash(SH);                                    \
                                                     \
    /* Set default bgen algo */                      \
    set_bgen(SSL);                                   \
                                                     \
    /* Set tmp dir */                                \
    set_tmpdir();                                    \
}
